Package com.fasterxml.jackson.datatype.jdk8

# Class LongStreamSerializer

java.lang.Object
com.fasterxml.jackson.databind.JsonSerializer<T>
com.fasterxml.jackson.databind.ser.std.StdSerializer<LongStream>
com.fasterxml.jackson.datatype.jdk8.LongStreamSerializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`, `com.fasterxml.jackson.databind.jsonschema.SchemaAware`, `Serializable`

public class LongStreamSerializer extends com.fasterxml.jackson.databind.ser.std.StdSerializer<LongStream>
`LongStream` serializer

Unfortunately there to common ancestor between number base stream, so we need to define each in a specific class

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`com.fasterxml.jackson.databind.JsonSerializer.None`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final LongStreamSerializer`
`INSTANCE`
Singleton instance

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

## Method Summary

Modifier and Type
Method
Description
`void`
`serialize(LongStream stream, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_neitherNull, _nonEmpty, acceptJsonFormatVisitor, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final LongStreamSerializer INSTANCE
Singleton instance

## Method Details

### serialize

public void serialize(LongStream stream, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider) throws IOException

Specified by:
  `serialize` in class `com.fasterxml.jackson.databind.ser.std.StdSerializer<LongStream>`
Throws:
  `IOException`